Package org.zkoss.zk.ui.select.impl

## Class ParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.zkoss.lang.SystemException
        - - org.zkoss.zk.ui.UiException
          - - org.zkoss.zk.ui.select.impl.ParseException

- All Implemented Interfaces:
    `java.io.Serializable`, `Messageable`, `MessageConst`

      public class ParseException
      extends UiException

  Exception thrown for illegal selector string.
  Since:
    6.0.0
  Author:
    simonpai
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.zk.ui.UiException

      `UiException.Aide`

    - ### Nested classes/interfaces inherited from interface org.zkoss.mesg.MessageConst

      `MessageConst.BundleInfo`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.lang.SystemException

      `_code`

    - ### Fields inherited from interface org.zkoss.mesg.MessageConst

      `NULL_CODE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParseException​(int step, java.lang.Object state, java.lang.Character input)` |
    `ParseException​(java.lang.String message)` |

  - ### Method Summary

    - ### Methods inherited from class org.zkoss.lang.SystemException

      `getCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParseException

          public ParseException​(int step,
                                java.lang.Object state,
                                java.lang.Character input)

    - #### ParseException

          public ParseException​(java.lang.String message)